// ******************************************************************************
// * Licensed Materials - Property of IBM
// * 5724-W86, 5724-X63
// *  Copyright IBM Corporation 2008, 2011. All Rights Reserved.
// * US Government Users Restricted Rights- Use, duplication or disclosure
// * restricted by GSA ADP Schedule Contract with IBM Corp.
// ******************************************************************************
// *
// ******************************************************************************

/*
 * Create properties to make it easier to tell what type of object we are dealing with
 */
Object.prototype.isFunction=false;
Object.prototype.isNumber=false;
Function.prototype.isFunction=true;
Number.prototype.isNumber=true;

/*
 * Return whether a value is valid or not
 * Valid is any value that is not undefined, null, or not a number
 */
function isValid(value) {
   // logMessage("4", "isValid", "value: " + value);
  if (value == undefined) return false;
  if (value == null) return false;
  // if (value.isNumber && !isFinite(value))
  // if ( value.toString().indexOf("-") != -1 ) {
     // return true;
  // }
  // var vnum = new Number(value);
  // if ( isNaN(vnum ) ) return false;
  // if ( ! isFinite(vnum) ) return false;
  // if (value.isNumber && !isFinite(value))
    // return false;
  return true;
}

function isValidNumber(val) {
   var num = new Number(val);
   if ( isNaN(num) ) {
     return false;
   }

   if ( ! isFinite(num) ) {
      return false;
   }
   return true;
}


/*
 * Convert value into a number. Always returns a number, if undefined, it
 * will return zero.
 */
function toNumber(value) {
  var result = Number(value);
  if (!isNaN(result))
    return result;
  return 0;
}
